## kamailio-config-tests 13.5.1.1+0~mr13.5.1.1

=== debian/changelog ===
kamailio-config-tests (13.5.1.1+0~mr13.5.1.1) unstable; urgency=medium

  [ Alessio Garzi ]
  * [0d1158a] MT#63566 Change P-Prev-Caller-UUID -> P-NGCP-Prev-Caller-UUID

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 02 Oct 2025 10:53:34 +0200

kamailio-config-tests (13.5.1.0+0~mr13.5.1.0) unstable; urgency=medium

  [ Donat Zenichev ]
  * [665b8b8] MT#63223 Fix HIH parameters

  [ Alessio Garzi ]
  * [2e728bb] MT#63332 Remove qw(all) from Sipwise::API usage

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 08 Sep 2025 11:43:59 +0200

kamailio-config-tests (13.5.0.0+0~mr13.5.0.0) unstable; urgency=medium

  [ Alessio Garzi ]
  * [dc65a1e] MT#61668 Adapt HIH test
  * [1f78efa] MT#61668 Adapt HIH test part 2
  * [c3f132b] MT#58817 Rename P-First-Caller-Cloud-PBX -> P-NGCP-First-Caller-Cloud-PBX
  * [dbfbe68] MT#58817 Rename P-AA-Caller-CLIR -> P-NGCP-AA-Caller-CLIR

  [ Guillem Jover ]
  * [4747bce] MT#62763 Fix shellcheck issues

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 20 Jun 2025 10:43:04 +0200

kamailio-config-tests (13.4.0.0+0~mr13.4.0.0) unstable; urgency=medium

  [ Alessio Garzi ]
  * [a552bc1] MT#61969 New scenario invite_offline_deregistered
  * [627a9ae] MT#62341 Add sanity new scenario
  * [56024bc] MT#62341 Typo on sanity scenario

  [ Victor Seva ]
  * [1e4c5f9] MT#61969 invite_offline_deregistered: fix register
  * [212e6d3] MT#61969 invite_offline_deregistered: add missing 200 OK for REGISTER
  * [a0ad8c7] MT#61910 LB is now responding directly to OPTIONS
  * [fc168bd] TT#131251 Dockerfile: add missing parallel package
  * [99a10e4] MT#61969 fix invite_perm_reg

  [ Marco Capetta ]
  * [a872835] MT#62220 Fix counters in invite_peerout_max_out test

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Thu, 10 Apr 2025 08:27:11 +0200

kamailio-config-tests (13.3.0.0+0~mr13.3.0.0) unstable; urgency=medium

  [ Marco Capetta ]
  * [a0ac7be] Revert "MT#61353 invite_sdp_filter: fix actual codecs list"
  * [2976698] MT#61353 Fix invite_sdp_filter_blacklist scenario

  [ Alessio Garzi ]
  * [4cde7fb] MT#61650 Test feature adm_block_in_list
  * [b953e28] MT#61978 Fix invite_voicebox test

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 28 Jan 2025 15:14:12 +0100

kamailio-config-tests (13.2.0.0+0~mr13.2.0.0) unstable; urgency=medium

  [ Alessio Garzi ]
  * [93f2971] MT#60765 Remove codec filtering by id tests

  [ Fabricio Santolin da Silva ]
  * [fb5afc8] MT#61288 Fix configuration for running on different environments

  [ Donat Zenichev ]
  * [9d72573] MT#61353 invite_sdp_filter: fix actual codecs list

  [ Guillem Jover ]
  * [5e4f911] MT#61459 Do not use Perl indirect object syntax

  [ Victor Seva ]
  * [193d782] MT#61288 support config_pro.yml configs

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 09 Dec 2024 11:26:06 +0100

kamailio-config-tests (13.1.0.0+0~mr13.1.0.0) unstable; urgency=medium

  [ Alessio Garzi ]
  * [8be7577] MT#56358 Test  new HM reject possibility
  * [e0dc755]  MT#56358 Test new b_outbound direction in invite_hm

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 01 Oct 2024 09:59:17 +0200

kamailio-config-tests (13.0.0.0+0~mr13.0.0.0) unstable; urgency=medium

  [ Alessio Garzi ]
  * [0a7353c] MT#59993 Add P-Preferred-Identity checks in invite scenario
  * [083c97d] MT#60035 Scenario invite_blockout_ncos extended for adm_ncos_exceptions

  [ Marco Capetta ]
  * [ea4b4c8] MT#60515 rename hm inbound/outbound directions to a_inbound/a_outbound

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Sun, 28 Jul 2024 12:02:07 +0200

kamailio-config-tests (12.5.0.0+0~mr12.5.0.0) unstable; urgency=medium

  [ Marco Capetta ]
  * [7526433] MT#59753 Enabled call recording feature by default

  [ Alessio Garzi ]
  * [dbbb7bb] MT#59187 new kct scenario "invite_callforward_use_redirection"
  * [212f36c] MT#59187 Remove SDP from sip responder 2 tests on scenario "invite_callforward_use_redirection"
  * [c8a5593] Revert "MT#59187 Remove SDP from sip responder 2 tests on scenario "invite_callforward_use_redirection""
  * [41fe93b] MT#59187 Templatize responder02 into call_forward_user_redirection
  * [4ad2f1a] MT#57764 Wrong caller.csv line number on invite_callforward_use_redirection

  [ Donat Zenichev ]
  * [5dc3b8b] MT#57764 Deprecate the `invite_wrong_reg` scenario

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Wed, 22 May 2024 14:30:58 +0200

kamailio-config-tests (12.4.0.0+0~mr12.4.0.0) unstable; urgency=medium

  [ Alessio Garzi ]
  * [76f2740] MT#56949 Better P-App param regexp for scenario invite_friz_prefix_removal
  * [8dcfa9e] Revert "MT#58994 Rework replies test without route nat countinue for scenarios_pbx"
  * [0d38396] Revert "MT#58994 Rework replies test without route nat countinue"
  * [03f4fd2] MT#58590 Fix invite_xfer_blind_caller_immediat_rel invite_xfer_blind_callee_immediat_rel cdr

  [ Donat Zenichev ]
  * [c95ad27] MT#59249 invite_reinvite_transcoding: set transcode prefs for peer

  [ Victor Seva ]
  * [d3ce001] MT#59470 fix REGISTER template
  * [ddaaf13] MT#59363 scenarios/invite_record_call: rework record_call preference

  [ Kirill Solomko ]
  * [b343f0a] MT#59363 change invite_record_call scenario record_call pref

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Fri, 15 Mar 2024 08:47:40 +0100

kamailio-config-tests (12.3.0.0+0~mr12.3.0.0) unstable; urgency=medium

  [ Alessio Garzi ]
  * [2e02361] MT#58994 Rework replies test without route nat countinue
  * [a0a2637] MT#58643 ROUTE_PARSE_P_EARLY_MEDIA must be checked after ROUTE_APPLY_HEADER_RULES
  * [94123dd] MT#58994 Rework replies test without route nat countinue for scenarios_pbx
  * [d69d7e3] MT#58590 New scenario incoming_peer_anonymous

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 15 Jan 2024 14:46:39 +0100

kamailio-config-tests (12.2.0.0+0~mr12.2.0.0) unstable; urgency=medium

  [ Victor Seva ]
  * [b576765] MT#57778 scenarios_pbx: fix flow issues


