=== debian/changelog ===
kamailio-config-tests (14.0.1.1+0~mr14.0.1.1) unstable; urgency=medium

  * New release.

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Tue, 09 Dec 2025 15:31:54 +0100

kamailio-config-tests (14.0.1.0+0~mr14.0.1.0) unstable; urgency=medium

  [ Alessio Garzi ]
  * [9a6a02a] MT#63566 Change P-Prev-Caller-UUID -> P-NGCP-Prev-Caller-UUID

  [ Guillem Jover ]
  * [d874e4b] MT#62763 Fix shellcheck issues

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 24 Nov 2025 16:55:29 +0100

kamailio-config-tests (14.0.0.0+0~mr14.0.0.0) unstable; urgency=medium

  [ Donat Zenichev ]
  * [665b8b8] MT#63223 Fix HIH parameters

  [ Alessio Garzi ]
  * [2e728bb] MT#63332 Remove qw(all) from Sipwise::API usage

 -- Sipwise Jenkins Builder <jenkins@sipwise.com>  Mon, 08 Sep 2025 11:44:00 +0200
