=== debian/control ===
Source: kamailio-config-tests
Section: devel
Priority: optional
Maintainer: Sipwise Development Team <support@sipwise.com>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 devscripts,
 libcapture-tiny-perl,
 libconfig-tiny-perl,
 libdata-dump-perl,
 libdbd-mysql-perl,
 libdbi-perl,
 libfile-slurp-perl,
 libhash-merge-perl,
 libio-compress-perl,
 libjson-perl,
 liblist-moreutils-perl,
 libtemplate-perl,
 libtext-csv-perl,
 libtext-diff-perl,
 libtry-tiny-perl,
 libyaml-libyaml-perl,
 python3:any,
Recommends:
 libgraphviz-perl,
Standards-Version: 4.6.2
Homepage: https://www.sipwise.com/

Package: kamailio-config-tests
Architecture: all
Depends:
 curl,
 libcapture-tiny-perl,
 libconfig-tiny-perl,
 libdata-dump-perl,
 libdbd-mysql-perl,
 libdbi-perl,
 libfile-slurp-perl,
 libhash-merge-perl,
 libio-compress-perl,
 libjson-perl,
 liblist-moreutils-perl,
 libtemplate-perl,
 libtext-csv-perl,
 libtext-diff-perl,
 libtry-tiny-perl,
 libyaml-libyaml-perl,
 ngcp-provisioning-tools,
 parallel,
 python3-pyinotify,
 python3-scapy,
 python3-yaml,
 python3:any,
 sip-tester (>= 1:3.3-1~),
 tcpdump,
 ${misc:Depends},
 ${perl:Depends},
Recommends:
 libgraphviz-perl,
Description: Kamailio configuration tests
 Scripts and tests scenarios to check Kamailio configuration.
