=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_usrlocal:
	echo "skipping dh_usrlocal"

override_dh_auto_test:
	echo "skipping dh_auto_test"
